#include <precomp.h>

#include "Error.h"  // class implemented


/////////////////////////////// PUBLIC ///////////////////////////////////////

//============================= LIFECYCLE ====================================

//Error::Error()
//    : mDescription()
//{
//}// Error

Error::Error(const Error& from)
    : mDescription(from.mDescription)
{
}// Error

Error::Error(const wxString& description)
    : mDescription(description)
{
}// Error

Error::~Error()
{
}// ~Error


//============================= OPERATORS ====================================

Error&
Error::operator=(const Error& from)
{
    mDescription = from.mDescription;

    return *this;
}// =

//============================= OPERATIONS ===================================
//============================= ACCESS     ===================================

const wxString&
Error::What() const
{
    return mDescription;
}// What

//============================= INQUIRY    ===================================
/////////////////////////////// PROTECTED  ///////////////////////////////////

/////////////////////////////// PRIVATE    ///////////////////////////////////
