/**  Klasa reprezentujca informacj o bdzie/wyjtku.
 */

#ifndef _Error_h
#define _Error_h


// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//
//#include <wx/string.h>

// LOCAL INCLUDES
//

// FORWARD REFERENCES
//


class Error
{
public:
// LIFECYCLE

//    /** Konstruktor domylny.
//     */
//    Error(void);


    /** Konstruktor kopiujcy.
     *
     * @param from Obiekt, ktrego warto jest kopiowana.
     */
    Error(const Error& from);

    /** Konstruktor.
     *
     * @param description Informacja o bdzie.
     */
    Error(const wxString& description);

    /** Destruktor.
     */
    ~Error(void);


// OPERATORS

    /** Operator przypisania.
     *
     * @param from Przypisywana warto.
     *
     * @return Referencja do biecego obiektu.
     */
    Error&                     operator=(const Error& from);

// OPERATIONS
// ACCESS

    /** Tekstowa informacja o bdzie.
     */
    const wxString&             What() const;

// INQUIRY

protected:
    wxString mDescription;  ///< Opis bdu.
private:
};

// INLINE METHODS
//

// EXTERNAL REFERENCES
//

#endif  // _Error_h
