#include <precomp.h>

#include "LinearMethod.h"  // class implemented
#include "LinearProblem.h"


/////////////////////////////// PUBLIC ///////////////////////////////////////

//============================= LIFECYCLE ====================================

LinearMethod::~LinearMethod()
{
}// ~Method


//============================= OPERATORS ====================================

//============================= OPERATIONS ===================================
//============================= ACCESS     ===================================
//============================= INQUIRY    ===================================

/* virtual */ bool
LinearMethod::CanHandle(const ProblemBase *pProblem) const
{
    return dynamic_cast<const LinearProblem *>(pProblem) != NULL;
}// CanHandle

/////////////////////////////// PROTECTED  ///////////////////////////////////

LinearMethod::LinearMethod()
    : Method()
{
}// Method

/////////////////////////////// PRIVATE    ///////////////////////////////////
