/**  Metoda optymalizacji liniowej (programowania liniowego).
 *
 * Klasa bazowa dla metod optymalizacji liniowej.
 */

#ifndef _LinearMethod_h
#define _LinearMethod_h


// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//

// LOCAL INCLUDES
//
#include "Method.h"

// FORWARD REFERENCES
//


class LinearMethod
    : public Method
{
public:
// LIFECYCLE

    /** Destruktor.
     */
    ~LinearMethod(void);


// OPERATORS

// OPERATIONS

//    /** Optymalizuj.
//     *
//     * Przeprowadza optymalizacj za pomoc algorytmu, ktry realizowa ma dana
//     * klasa.
//     *
//     * @param problem Problem optymalizacji.
//     * @return Wynik oraz przebieg optymalizacji.
//     */
//    virtual std::auto_ptr<const Result> Optimize(const ProblemBase& problem)
//                                            const = 0;

// ACCESS
// INQUIRY

    /** Sprawdza, czy moe rozwiza zadanie optymalizacji.
     *
     * Wszystkie metody typu <code>LinearMethod</code> wymagaj problemw
     * <code>LinearProblem</code>.
     */
    virtual bool                CanHandle(const ProblemBase* pProblem) const;

protected:

    /** Konstruktor domylny.
     */
    LinearMethod(void);

private:
};

// INLINE METHODS
//

// EXTERNAL REFERENCES
//

#endif  // _Method_h_
