#include <precomp.h>

#include "MutationMethod.h"  // class implemented


/////////////////////////////// PUBLIC ///////////////////////////////////////

//============================= LIFECYCLE ====================================

/* virtual */
MutationMethod::~MutationMethod()
{
}// ~MutationMethod


//============================= OPERATORS ====================================
//============================= OPERATIONS ===================================
//============================= ACCESS     ===================================

/* static */ const std::vector<MutationMethod*>&
MutationMethod::MutationMethods()
{
    return MutationMethod::rMutationMethods();
}

/* static */ wxString
MutationMethod::BaseClassName()
{
    return wxString(_("Mutation method"));
}

//============================= INQUIRY    ===================================
/////////////////////////////// PROTECTED  ///////////////////////////////////

MutationMethod::MutationMethod()
{
    MutationMethod::rMutationMethods().push_back(this);
}// MutationMethod

MutationMethod::MutationMethod(const MutationMethod& from)
{
}// MutationMethod

/////////////////////////////// PRIVATE    ///////////////////////////////////

/* static */ std::vector<MutationMethod*>&
MutationMethod::rMutationMethods()
{
    static vector<MutationMethod*> mutation_methods;

    return mutation_methods;
}// rMethods
