#include <precomp.h>

#include "SelectionMethod.h"  // class implemented


/////////////////////////////// PUBLIC ///////////////////////////////////////

//============================= LIFECYCLE ====================================

/* virtual */
SelectionMethod::~SelectionMethod()
{
}// ~SelectionMethod


//============================= OPERATORS ====================================
//============================= OPERATIONS ===================================
//============================= ACCESS     ===================================

/* static */ const std::vector<SelectionMethod*>&
SelectionMethod::SelectionMethods()
{
    return SelectionMethod::rSelectionMethods();
}

/* static */ wxString
SelectionMethod::BaseClassName()
{
    return wxString(_("Selection method"));
}

//============================= INQUIRY    ===================================
/////////////////////////////// PROTECTED  ///////////////////////////////////

SelectionMethod::SelectionMethod()
{
    SelectionMethod::rSelectionMethods().push_back(this);
}// SelectionMethod

SelectionMethod::SelectionMethod(const SelectionMethod& from)
{
}// SelectionMethod

/////////////////////////////// PRIVATE    ///////////////////////////////////

/* static */ std::vector<SelectionMethod*>&
SelectionMethod::rSelectionMethods()
{
    static vector<SelectionMethod*> selection_methods;

    return selection_methods;
}// rMethods
