#include <precomp.h>

#include "HookeJeevesDiscreteIteration.h"  // class implemented


/////////////////////////////// PUBLIC ///////////////////////////////////////

//============================= LIFECYCLE ====================================

HookeJeevesDiscreteIteration::HookeJeevesDiscreteIteration()
	: HookeJeevesIteration()
{
}// HookeJeevesDiscreteIteration

HookeJeevesDiscreteIteration::HookeJeevesDiscreteIteration(
        const ColumnVector& startingPoint)
    : HookeJeevesIteration(startingPoint)
{
}// HookeJeevesDiscreteIteration

HookeJeevesDiscreteIteration::~HookeJeevesDiscreteIteration()
{
}// ~HookeJeevesDiscreteIteration

//============================= OPERATORS ====================================

//============================= OPERATIONS ===================================

//============================= ACCESS     ===================================

/* virtual */ vector<IterationData::IterationDataIdType>
HookeJeevesDiscreteIteration::ClassIds() const
{
    // Bierzemy identyfikatory od bezporedniego rodzica
    vector<IterationDataIdType> base_ids(HookeJeevesIteration::ClassIds());

    base_ids.insert(base_ids.begin(), HookeJeevesDiscreteIteration::ClassId());

    return base_ids;
}// ClassIds

/* static */ IterationData::IterationDataIdType
HookeJeevesDiscreteIteration::ClassId()
{
    static IterationDataIdType class_id = GenerateId();

    return class_id;
}// ClassId

//============================= INQUIRY    ===================================

/////////////////////////////// PROTECTED  ///////////////////////////////////

/////////////////////////////// PRIVATE    ///////////////////////////////////
