#include <precomp.h>

#include "PowellVariant1Iteration.h"  // class implemented


/////////////////////////////// PUBLIC ///////////////////////////////////////

//============================= LIFECYCLE ====================================

PowellVariant1Iteration::PowellVariant1Iteration()
    : PowellIteration()
{
}// PowellVariant1Iteration

PowellVariant1Iteration::PowellVariant1Iteration(
        const ColumnVector& startingPoint,
        const SquareMatrix& D)
    : PowellIteration(startingPoint, D)
{
}// PowellVariant1Iteration

PowellVariant1Iteration::~PowellVariant1Iteration()
{
}// ~PowellVariant1Iteration

//============================= OPERATORS ====================================

//============================= OPERATIONS ===================================
//============================= ACCESS     ===================================

/* virtual */ vector<IterationData::IterationDataIdType>
PowellVariant1Iteration::ClassIds() const
{
    // Bierzemy identyfikatory od bezporedniego rodzica
    vector<IterationDataIdType> base_ids(PowellIteration::ClassIds());

    base_ids.insert(base_ids.begin(), PowellVariant1Iteration::ClassId());

    return base_ids;
}// ClassIds

/* static */ IterationData::IterationDataIdType
PowellVariant1Iteration::ClassId()
{
    static IterationDataIdType class_id = GenerateId();

    return class_id;
}// ClassId

//============================= INQUIRY    ===================================
/////////////////////////////// PROTECTED  ///////////////////////////////////
/////////////////////////////// PRIVATE    ///////////////////////////////////
