#include <precomp.h>

#include "../Eduoptim2.h"
#include "../Logger.h"

#include "AboutDialog.h"


LOGGER(DEBUG)

AboutDialog::AboutDialog(wxWindow*                    parent,
                         int                          id,
                         const wxString&              title,
                         const wxPoint&               pos,
                         const wxSize&                size,
                         long                         style)
    : wxDialog(parent,
               id,
               title,
               pos,
               size,
               wxDEFAULT_DIALOG_STYLE|wxRESIZE_BORDER|wxTHICK_FRAME)
{
    wxSizer* p_main_sizer = new wxBoxSizer(wxVERTICAL);

    mpHtmlWindow = new wxHtmlWindow(this, wxID_ANY, wxDefaultPosition,
            wxSize(400, 300));
    mpOkButton = new wxButton(this, wxID_OK, _("OK"));

    // Dodaj tekst do okienka
    mpHtmlWindow->AppendToPage(wxT("<html><body bgcolor=#ffffff>")
                               wxT("<center><img src='"));
    mpHtmlWindow->AppendToPage(wxGetApp().ResourcesPath() + wxT("logo.png"));
    mpHtmlWindow->AppendToPage(wxT("'><br><br>")
                               wxT("<b>Eduoptim 2.0.1</b><br>")
                               wxT("http://eduoptim2.studio4plus.com<br><br>")
                               wxT("Copyright (C) 2006<br>")
			       wxT("Karol Matuszkiewicz, ")
                               wxT("Mateusz Mucha, ")
                               wxT("Marcin Simonides<br>"));
    mpHtmlWindow->AppendToPage(_("Wroclaw University of Technology"));
    mpHtmlWindow->AppendToPage(wxT("<br><br></center>")
                               wxT("<font size=-1>"));
    mpHtmlWindow->AppendToPage(
	wxT("Eduoptim comes with ABSOLUTELY NO WARRANTY;<br>")
	wxT("This is free software and you are welcome to redistribute it ")
        wxT("under certain conditions; see attached COPYING file for details")
	wxT("<p>"));
    mpHtmlWindow->AppendToPage(wxT("Includes CONREC subroutine by Paul Bourke ")
		   wxT("(http://astronomy.swin.edu.au/~pbourke/projection/conrec/)."));
    mpHtmlWindow->AppendToPage(wxT("<p>This program uses wxWidgets (http://www.wxwidgets.org) and newmat (http://www.robertnz.net/nm_intro.htm) libraries."));
    mpHtmlWindow->AppendToPage(wxT("</p></font></body></html>"));

    p_main_sizer->Add(mpHtmlWindow, 1, wxEXPAND | wxALL, 2);
    p_main_sizer->Add(mpOkButton, 0, wxALIGN_CENTER | wxALL, 2);


    SetSizer(p_main_sizer);
    p_main_sizer->SetSizeHints(this);
}
