#include <precomp.h>

#include "AutoChoice.h"

template<>
bool
AutoChoice<LineSearch>::CanHandle(const Method*       pMethod,
                                  const ProblemBase*  pProblem) const
{
    return dynamic_cast<const LineSearch*>(pMethod)->CanAssist(pProblem);
}// CanHandle

template<>
bool
AutoChoice<Method>::CanHandle(const Method*       pMethod,
                              const ProblemBase*  pProblem) const
{
    return pMethod->CanHandle(pProblem);
}// CanHandle
