#include <precomp.h>

#include "BoundingBoxLayer.h"  // class implemented


/////////////////////////////// PUBLIC ///////////////////////////////////////

//============================= LIFECYCLE ====================================

BoundingBoxLayer::BoundingBoxLayer(const PlotControl&   targetPlot,
                                   const Region&        bounding_box)
    : PlotLayer(targetPlot), mBoundingBox(bounding_box)
{
}// BoundingBoxLayer

BoundingBoxLayer::BoundingBoxLayer(const BoundingBoxLayer& from)
    : PlotLayer(from), mBoundingBox(from.mBoundingBox)
{
}// BoundingBoxLayer

BoundingBoxLayer::~BoundingBoxLayer()
{
}// ~BoundingBoxLayer


//============================= OPERATORS ====================================

//============================= OPERATIONS ===================================

/* virtual */ void
BoundingBoxLayer::Draw(wxDC& dc) const
{
}// Draw

//============================= ACCESS     ===================================

/* virtual */ Region
BoundingBoxLayer::BoundingBox() const
{
    return mBoundingBox;
}

//============================= INQUIRY    ===================================
/////////////////////////////// PROTECTED  ///////////////////////////////////

/////////////////////////////// PRIVATE    ///////////////////////////////////
