#ifndef CONFIGURATIONDIALOG_H
#define CONFIGURATIONDIALOG_H


class ConfigurationDialog: public wxDialog {
public:

    enum {
        ID_BUTTON_DEFAULT = 1
    };

    ConfigurationDialog(wxWindow* parent, int id, const wxString& title, const wxPoint& pos=wxDefaultPosition, const wxSize& size=wxDefaultSize, long style=wxDEFAULT_DIALOG_STYLE);

    void    OnDefault(wxCommandEvent& event);
private:
    void set_properties();
    void do_layout();

    DECLARE_EVENT_TABLE()
protected:
    wxStaticText* mpStepLimitLabel;
    wxTextCtrl* mpStepLimitCtrl;
    wxStaticText* mpInitialSectionLengthLabel;
    wxTextCtrl* mpInitialSectionLengthCtrl;
    wxStaticText* mpDifferentiationDeltaLabel;
    wxTextCtrl* mpDifferentiationDeltaCtrl;
    wxButton* mpDefaultButton;
    wxButton* mpOkButton;
    wxButton* mpCancelButton;
};


#endif // CONFIGURATIONDIALOG_H
