#include <precomp.h>

#include "FitIterationAction.h"  // class implemented
#include "FullPlotVisualizer.h"


/////////////////////////////// PUBLIC ///////////////////////////////////////

//============================= LIFECYCLE ====================================

FitIterationAction::FitIterationAction(FullPlotVisualizer* pVisualizer)
    : mpVisualizer(pVisualizer)
{
}// FitIterationAction

FitIterationAction::~FitIterationAction()
{
}// ~FitIterationAction


//============================= OPERATORS ====================================
//============================= OPERATIONS ===================================

/* virtual */ bool
FitIterationAction::Action(bool toggle)
{
    mpVisualizer->SetFitIteration(toggle);

    return toggle;
}// Action

//============================= ACCESS     ===================================
//============================= INQUIRY    ===================================

/* virtual */ bool
FitIterationAction::IsToggled() const
{
    return mpVisualizer->IsFitIteration();
}// IsToggled

/////////////////////////////// PROTECTED  ///////////////////////////////////

/////////////////////////////// PRIVATE    ///////////////////////////////////
