/** Akcja narzdzia "Dopasuj do iteracji".
 *
 * @see FullPlotVisualizer, PlotToolbar, ResultLayer
 */

#ifndef _FitIterationAction_h
#define _FitIterationAction_h

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//

// LOCAL INCLUDES
//
#include "ToggleToolAction.h"

// FORWARD REFERENCES
//
class FullPlotVisualizer;

class FitIterationAction
    : public ToggleToolAction
{
public:
// LIFECYCLE

    /** Konstruktor domylny.
     */
    FitIterationAction(FullPlotVisualizer* pVisualizer);

    /** Destruktor.
     */
    ~FitIterationAction(void);


// OPERATORS
// OPERATIONS

    virtual bool    Action(bool toggle);

// ACCESS
// INQUIRY

    virtual bool    IsToggled() const;

protected:
private:
    FullPlotVisualizer* mpVisualizer;
};

// INLINE METHODS
//

// EXTERNAL REFERENCES
//

#endif  // _FitIterationAction_h
