/** Klasa odpowiedzialna za wizualizacj wynikw na wykresie iteracja-warto.
 */

#ifndef _IterationValueVisualizer_h
#define _IterationValueVisualizer_h

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//

// LOCAL INCLUDES
//
#include "PlotToolbar.h"
#include "UnivariatePlot.h"
#include "Visualizer.h"

// FORWARD REFERENCES
//


class IterationValueVisualizer
    : public Visualizer
{
public:
// LIFECYCLE

    /** Konstruktor domylny.
     */
    IterationValueVisualizer(wxWindow*          pParent,
                             const Result&      result);


    /** Destruktor.
     */
    ~IterationValueVisualizer(void);


// OPERATORS

// OPERATIONS
// ACCESS

    virtual wxString        Name() const;

// INQUIRY

protected:
private:
    wxPanel*        SetUpPlotPanel(wxWindow*    pParent);

    auto_ptr<const UnivariateFunction>    mapFunction;

    PlotToolbar*    mpToolbar;
    UnivariatePlot* mpPlotControl;

    const static wxString   mName;

    /// Ta wizualizacja rejestruje si wprost.
    const static void*      mpRegistrationDummy;
};

// INLINE METHODS
//

// EXTERNAL REFERENCES
//

#endif  // _IterationValueVisualizer_h
