/** Okienko do wywietlania komunikatu o bdzie parsowania.
 */

#ifndef _ParseErrorDialog_h
#define _ParseErrorDialog_h

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//

// LOCAL INCLUDES
//
#include "../ParseError.h"
#include "ParseErrorText.h"

// FORWARD REFERENCES
//


class ParseErrorDialog
    : public wxDialog
{
public:
// LIFECYCLE

    /** Konstruktor domylny.
     */
    ParseErrorDialog(wxWindow*          pParent,
                     wxWindowID         id,
                     const ParseError&  error);

    /** Destruktor.
     */
    ~ParseErrorDialog(void);


// OPERATORS
// OPERATIONS
// ACCESS
// INQUIRY

protected:
private:

    wxStaticText*       CreateErrorLabel(wxWindow*          pParent,
                                         const wxString&    message) const;

    wxStaticText*   mpTopLabel;         ///< "Wystpi bd" czy co takiego.
    wxStaticText*   mpErrorLabel;       ///< Komunikat o bdzie.
    ParseErrorText* mpInputErrorLabel;  ///< Wzr z zazn. bdem.

    static const unsigned  mMessageWrapWidth;
};

// INLINE METHODS
//

// EXTERNAL REFERENCES
//

#endif  // _ParseErrorDialog_h
