/** Kontrolka wypisujca tekst funkcji oraz znacznik wskazujcy na punkt, w
 * ktrym wystpi bd parsowania.
 *
 * @see ParseError
 */

#ifndef _ParseErrorText_h
#define _ParseErrorText_h

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//

// LOCAL INCLUDES
//
#include "../ParseError.h"

// FORWARD REFERENCES
//


class ParseErrorText
    : public wxWindow
{
public:
// LIFECYCLE

    /** Konstruktor domylny.
     */
    ParseErrorText(wxWindow*            pParent,
                   wxWindowID           id,
                   const ParseError&    error);


    /** Destruktor.
     */
    ~ParseErrorText(void);


// OPERATORS
// OPERATIONS

    void    OnPaint(wxPaintEvent& event);

// ACCESS
// INQUIRY

protected:
private:
    void    DrawArrow(wxDC&     dc,
                      wxCoord   y,
                      wxCoord   middle,
                      wxCoord   spread,
                      wxCoord   height) const;

    wxBitmap    mBitmap;

    static const wxCoord ARROW_HEIGHT;
    static const wxCoord ARROW_SPREAD;
    static const wxCoord ARROW_WIDTH;

    DECLARE_EVENT_TABLE()
};

// INLINE METHODS
//

// EXTERNAL REFERENCES
//

#endif  // _ParseErrorText_h
