/** Klasa wizualizatorw tekstowych iteracji metody Newtona.
 *
 * @see GradientMethodIteration, SteepestDescent
 */

#ifndef _TivNewton_h
#define _TivNewton_h

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//

// LOCAL INCLUDES
//
#include "TextIterationVisualizer.h"

// FORWARD REFERENCES
//


class TivNewton
    : public TextIterationVisualizer
{
public:
// LIFECYCLE

    /** Konstruktor domylny.
     */
    TivNewton(void);

    /** Destruktor.
     */
    ~TivNewton(void);


// OPERATORS
// OPERATIONS
//
    virtual void        Print(      wxTextCtrl*     pTargetCtrl,
                              const IterationData&  iterationData,
                              const FunctionBase&   function,
                                    bool            highlight) const;

    static std::auto_ptr<const TextIterationVisualizer>    Create();

// ACCESS
// INQUIRY

protected:
private:

    /** Zmienna statyczna, ktrej inicjowanie rejestruje metod Create
     * w fabryce wizualizatorw.
     */
    static void*   mpRegistrationDummy;
};

// INLINE METHODS
//

// EXTERNAL REFERENCES
//

#endif  // _TivNewton_h
