/** Klasa wizualizatorw tekstowych iteracji drugiego wariantu
 * metody Powella.
 *
 * @see IterationData, PowellVariant2
 */

#ifndef _TivPowellVariant2_h
#define _TivPowellVariant2_h

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//

// LOCAL INCLUDES
//
#include "TivPowell.h"

// FORWARD REFERENCES
//


class TivPowellVariant2
    : public TivPowell
{
public:
// LIFECYCLE

    /** Konstruktor domylny.
     */
    TivPowellVariant2(void);

    /** Destruktor.
     */
    ~TivPowellVariant2(void);


// OPERATORS
// OPERATIONS
    static std::auto_ptr<const TextIterationVisualizer>    Create();
// ACCESS
// INQUIRY

protected:
    virtual wxString    PrintNewBase(
                            wxTextCtrl*                     pTargetCtrl,
                            const PowellIteration&          iterationData,
                            bool                            highlight)
                                                                const;
    private:
    /** Zmienna statyczna, ktrej inicjowanie rejestruje metod Create
     * w fabryce wizualizatorw.
     */
    static void*   mpRegistrationDummy;
};

// INLINE METHODS
//

// EXTERNAL REFERENCES
//

#endif  // _TivPowellVariant2_h
