/** Klasa wizualizatorw tekstowych iteracji metody aproksymacji kwadratowej.
 *
 * @see IterationData, QuadraticApproximation
 */

#ifndef _TivQuadraticApproximation_h
#define _TivQuadraticApproximation_h

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//

// LOCAL INCLUDES
//
#include "TextIterationVisualizer.h"

// FORWARD REFERENCES
//


class TivQuadraticApproximation
    : public TextIterationVisualizer
{
public:
// LIFECYCLE

    /** Konstruktor domylny.
     */
    TivQuadraticApproximation(void);

    /** Destruktor.
     */
    ~TivQuadraticApproximation(void);


// OPERATORS
// OPERATIONS
    virtual void        Print(wxTextCtrl*           pTargetCtrl,
                              const IterationData&  iterationData,
                              const FunctionBase&   function,
                              bool                  highlight) const;

    static std::auto_ptr<const TextIterationVisualizer>    Create();
// ACCESS
// INQUIRY

protected:
    private:
    /** Zmienna statyczna, ktrej inicjowanie rejestruje metod Create
     * w fabryce wizualizatorw.
     */
    static void*   mpRegistrationDummy;
};

// INLINE METHODS
//

// EXTERNAL REFERENCES
//

#endif  // _TivQuadraticApproximation_h
