/** Klasa wizualizatorw tekstowych iteracji metody najwikszego spadku.
 *
 * @see GradientMethodIteration, SteepestDescent
 */

#ifndef _TivSteepestDescent_h
#define _TivSteepestDescent_h

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//

// LOCAL INCLUDES
//
#include "TextIterationVisualizer.h"

// FORWARD REFERENCES
//


class TivSteepestDescent
    : public TextIterationVisualizer
{
public:
// LIFECYCLE

    /** Konstruktor domylny.
     */
    TivSteepestDescent(void);

    /** Destruktor.
     */
    ~TivSteepestDescent(void);


// OPERATORS
// OPERATIONS
    virtual void        Print(wxTextCtrl*           pTargetCtrl,
                              const IterationData&  iterationData,
                              const FunctionBase&   function,
                              bool                  highlight) const;

    static std::auto_ptr<const TextIterationVisualizer>    Create();
// ACCESS
// INQUIRY

protected:
    private:
    /** Zmienna statyczna, ktrej inicjowanie rejestruje metod Create
     * w fabryce wizualizatorw.
     */
    static void*   mpRegistrationDummy;
};

// INLINE METHODS
//

// EXTERNAL REFERENCES
//

#endif  // _TivSteepestDescent_h
