/** Klasa wizualizatorw tekstowych iteracji metody podziau rwnomiernego.
 *
 * @see IterationData, UniformDivision
 */

#ifndef _TivUniformDivision_h
#define _TivUniformDivision_h

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//

// LOCAL INCLUDES
//
#include "TextIterationVisualizer.h"

// FORWARD REFERENCES
//


class TivUniformDivision
    : public TextIterationVisualizer
{
public:
// LIFECYCLE

    /** Konstruktor domylny.
     */
    TivUniformDivision(void);

    /** Destruktor.
     */
    ~TivUniformDivision(void);


// OPERATORS
// OPERATIONS
    virtual void        Print(wxTextCtrl*           pTargetCtrl,
                              const IterationData&  iterationData,
                              const FunctionBase&   function,
                              bool                  highlight) const;

    static std::auto_ptr<const TextIterationVisualizer>    Create();
// ACCESS
// INQUIRY

protected:
    private:
    /** Zmienna statyczna, ktrej inicjowanie rejestruje metod Create
     * w fabryce wizualizatorw.
     */
    static void*   mpRegistrationDummy;
};

// INLINE METHODS
//

// EXTERNAL REFERENCES
//

#endif  // _TivUniformDivision_h
