/** Warstwa wykresu odpowiedzialna za przedstawienie ogranicze na wykresie X-Y.
 *
 * @see PlotControl
 */

#ifndef _UnivariateConstraintsLayer_h
#define _UnivariateConstraintsLayer_h

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//

// LOCAL INCLUDES
//
#include "ConstraintsLayer.h"

// FORWARD REFERENCES
//


class UnivariateConstraintsLayer
    : public ConstraintsLayer
{
public:
// LIFECYCLE

    /** Konstruktor domylny.
     */
    UnivariateConstraintsLayer(const PlotControl&           plotControl,
                               const Constraint::Container& constraints);

    /** Konstruktor kopiujcy.
     */
    UnivariateConstraintsLayer(const UnivariateConstraintsLayer& from);

    /** Destruktor.
     */
    ~UnivariateConstraintsLayer(void);


// OPERATORS

// OPERATIONS

    virtual void    Draw(wxDC& dc) const;

// ACCESS

// INQUIRY

protected:
private:
    //unsigned        mVariableXIndex;
    //unsigned        mVariableYIndex;

};

// INLINE METHODS
//

// EXTERNAL REFERENCES
//

#endif  // _UnivariateConstraintsLayer_h
