/** Warstwa wykresu odpowiedzialna za przedstawienie ogranicze na wykresie X-Y.
 *
 * @see PlotControl
 */

#ifndef _XyConstraintsLayer_h
#define _XyConstraintsLayer_h

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//

// LOCAL INCLUDES
//
#include "ConstraintsLayer.h"

// FORWARD REFERENCES
//


class XyConstraintsLayer
    : public ConstraintsLayer
{
public:
// LIFECYCLE

    /** Konstruktor domylny.
     */
    XyConstraintsLayer(const PlotControl&           plotControl,
                       const Constraint::Container& constraints,
                       unsigned                     variableCount);

    /** Konstruktor kopiujcy.
     */
    XyConstraintsLayer(const XyConstraintsLayer& from);

    /** Destruktor.
     */
    ~XyConstraintsLayer(void);


// OPERATORS

// OPERATIONS

    virtual void    Draw(wxDC& dc) const;

// ACCESS

// INQUIRY

protected:
private:
    unsigned        mVariableXIndex;
    unsigned        mVariableYIndex;
    unsigned        mVariableCount; // Potrzebne gboko w rysowaniu...
};

// INLINE METHODS
//

// EXTERNAL REFERENCES
//

#endif  // _XyConstraintsLayer_h
