#include <precomp.h>

//#include <wx/sizer.h>

#include "wxTextCtrlOutputStream.h"  // class implemented


/////////////////////////////// PUBLIC ///////////////////////////////////////

wxTextCtrl* wxTextCtrlOutputStream::mpTargetTextCtrl = NULL;

//============================= LIFECYCLE ====================================
/*
wxTextCtrlOutputStream::wxTextCtrlOutputStream(wxTextCtrl* targetTextCtrl)
    : wxOutputStream() ,
      mpTargetTextCtrl(targetTextCtrl)
{
}// wxTextCtrlOutputStream
*/
wxTextCtrlOutputStream::wxTextCtrlOutputStream()
    : wxOutputStream()
{
}

wxTextCtrlOutputStream::~wxTextCtrlOutputStream()
{
}// ~wxTextCtrlOutputStream


//============================= OPERATORS ====================================
//============================= OPERATIONS ===================================
//============================= ACCESS     ===================================

/*static*/ void
wxTextCtrlOutputStream::SetTextCtrl()
{
    static int first_time = true;

    if (first_time)
    {
        first_time = false;

        wxFrame* p_frame = new wxFrame(NULL,-1,wxString(wxT("Logger output")));

        wxSizer* p_sizer = new wxBoxSizer(wxVERTICAL);
        wxTextCtrl* p_target_text_ctrl =
            new wxTextCtrl(p_frame, -1, wxString(wxT("")), wxDefaultPosition,
                    wxSize(600,400), wxTE_MULTILINE | wxTE_READONLY);

        p_target_text_ctrl->SetFont(wxFont(12,
                                           wxFONTFAMILY_TELETYPE,
                                           wxFONTWEIGHT_NORMAL,
                                           wxFONTFLAG_DEFAULT));

        p_sizer->Add(p_target_text_ctrl, 1, wxEXPAND);
        p_sizer->Fit(p_frame);
        p_sizer->SetSizeHints(p_frame);
        p_frame->SetSizer(p_sizer);
        p_frame->Show(true);

        mpTargetTextCtrl = p_target_text_ctrl;
    }
}

//============================= INQUIRY    ===================================
/////////////////////////////// PROTECTED  ///////////////////////////////////

size_t
wxTextCtrlOutputStream::OnSysWrite(const void* buffer, size_t size)
{

    const char *p = wx_static_cast(const char *, buffer);
    const wxString string(p, mConv, size);

    static wxString string_buffer;  // TODO: BRZYDKIE!!!! Zmieni i zastanowi
                                    // si nad uyciem wxStreamBuffer.
                                    // (Eee, przerobi si strumie, to bdzie
                                    // lepiej.)

    if (mpTargetTextCtrl != NULL) {
        string_buffer << string;
        // TODO: sprawdzi, czy test na '\n' jest wystarczajcy.
        if (-1 != string.Find('\n')) {
            mpTargetTextCtrl->AppendText(string_buffer);
            string_buffer.Clear();
        }
    }

    return size;

}

/////////////////////////////// PRIVATE    ///////////////////////////////////
