#include <src/precomp.h>

#include <clocale>

#include <tut.h>
#include <tut_reporter.h>

#include "TestApp.h"  // class implemented

IMPLEMENT_APP(TestApp)

LOGGER(WARNING);

namespace tut
{
    test_runner_singleton runner;
}

/////////////////////////////// PUBLIC ///////////////////////////////////////

//============================= LIFECYCLE ====================================

//============================= OPERATORS ====================================

//============================= OPERATIONS ===================================


/* virtual */ bool
TestApp::OnInit()
{
    LOGGER_ON;

    //wxFrame* frame = new wxFrame(NULL,-1,wxString(wxT("Invisible Frame")));
    //SetTopWindow(frame);

    setlocale(LC_ALL, "C");

    return true;
}

/* virtual */ int
TestApp::MainLoop()
{
    tut::reporter reporter;

    tut::runner.get().set_callback(&reporter);

    tut::runner.get().run_tests();

    return 0;
}

//============================= ACCESS     ===================================
//============================= INQUIRY    ===================================
/////////////////////////////// PROTECTED  ///////////////////////////////////

/////////////////////////////// PRIVATE    ///////////////////////////////////
