dnl Macro for NEWMAT detection

AC_DEFUN([AM_PATH_NEWMAT],
[
    AC_MSG_CHECKING([for newmat])
    AC_ARG_WITH(newmat-prefix,
        [  --with-newmat=PREFIX    Use newmat installed in PREFIX],
        [
            if test x$withval != xyes; then
                NEWMATPREFIX=$withval
            fi
         ],
         [
            NEWMATPREFIX=/usr/local/
         ])
     if test ! -d ${NEWMATPREFIX}/include/newmat; then
         AC_MSG_ERROR([The directory ${NEWMATPREFIX}/include/newmat doesn't exist!])
     fi
     AC_MSG_RESULT([yes])
     NEWMAT_LIBS="-L${NEWMATPREFIX}/lib -lnewmat -lm"
     NEWMAT_CFLAGS="-I${NEWMATPREFIX}/include"

     AC_SUBST(NEWMAT_LIBS)
     AC_SUBST(NEWMAT_CFLAGS)
])


