#include <precomp.h>

#include "CrossoverMethod.h"  // class implemented


/////////////////////////////// PUBLIC ///////////////////////////////////////

//============================= LIFECYCLE ====================================

/* virtual */
CrossoverMethod::~CrossoverMethod()
{
}// ~CrossoverMethod

//============================= OPERATORS ====================================
//============================= OPERATIONS ===================================
//============================= ACCESS     ===================================

/* static */ const std::vector<CrossoverMethod*>&
CrossoverMethod::CrossoverMethods()
{
    return CrossoverMethod::rCrossoverMethods();
}

/* static */ wxString
CrossoverMethod::BaseClassName()
{
    return wxString(_("Crossover method"));
}

//============================= INQUIRY    ===================================
/////////////////////////////// PROTECTED  ///////////////////////////////////

CrossoverMethod::CrossoverMethod()
{
    CrossoverMethod::rCrossoverMethods().push_back(this);
}// CrossoverMethod

CrossoverMethod::CrossoverMethod(const CrossoverMethod& from)
{
}// CrossoverMethod

/////////////////////////////// PRIVATE    ///////////////////////////////////

/* static */ std::vector<CrossoverMethod*>&
CrossoverMethod::rCrossoverMethods()
{
    static vector<CrossoverMethod*> crossover_methods;

    return crossover_methods;
}// rMethods
