#include <precomp.h>

#include "Observable.h"
#include "Observer.h"  // class implemented


/////////////////////////////// PUBLIC ///////////////////////////////////////

//============================= LIFECYCLE ====================================

Observer::Observer()
    : mObservables()
{
}// Observer

Observer::~Observer()
{
    while (!mObservables.empty())
    {
        // TODO: to moesprawia problemy
        set<const Observable*>::iterator i = mObservables.begin();

        (*i)->DetachObserver(this);
    }
}// ~Observer


//============================= OPERATORS ====================================

//============================= OPERATIONS ===================================


//============================= ACCESS     ===================================

//============================= INQUIRY    ===================================
/////////////////////////////// PROTECTED  ///////////////////////////////////

/////////////////////////////// PRIVATE    ///////////////////////////////////
void
Observer::AddObservable(const Observable* pObservable)
{
    mObservables.insert(pObservable);
}// AddObservable

void
Observer::RemoveObservable(const Observable* pObservable)
{
    mObservables.erase(pObservable);
}// RemoveObservable
