/** Singleton trzymajcy symbole, gwnie matematyczne.
 */

#ifndef _Symbols_h
#define _Symbols_h

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//

// LOCAL INCLUDES
//

// FORWARD REFERENCES
//


class Symbols
{
public:
#undef INFINITY
    enum SymbolType
    {
        ALPHA,
        BETA,
        GAMMA,
        DELTA,
        EPSILON,
        LAMBDA,
        MU,
        RHO,
        SIGMA,
        TAU,

        LESS_EQUAL,
        GREATER_EQUAL,
        INFINITY
    };

// LIFECYCLE


    /** Destruktor.
     */
    ~Symbols(void);


// OPERATORS

    const wxString& operator[](SymbolType symbol) const;

// OPERATIONS
// ACCESS

    static const Symbols&       GetInstance();

// INQUIRY

protected:
private:
    /** Konstruktor domylny.
     */
    Symbols(void);

    typedef std::map<SymbolType, wxString>  SymbolMap;

    SymbolMap       mSymbols;
};

// INLINE METHODS
//

// EXTERNAL REFERENCES
//

#endif  // _Symbols_h
