/** Dane pojedynczej iteracji metody Hooke'a Jeevesa z krokiem dyskretnym.
 *
 * @see HookeJeevesDiscrete, Result
 */

#ifndef _HookeJeevesDiscreteIteration_h
#define _HookeJeevesDiscreteIteration_h

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//

// LOCAL INCLUDES
//
#include "HookeJeevesIteration.h"

// FORWARD REFERENCES
//


class HookeJeevesDiscreteIteration
    : public HookeJeevesIteration
{
public:
// LIFECYCLE

    /** Konstruktor domylny.
     */
    HookeJeevesDiscreteIteration(void);

    /** Konstruktor.
     *
     * @param staringPoint Punkt wyjcia dla tej iteracji.
     */
    HookeJeevesDiscreteIteration(const ColumnVector& staringPoint);

    /** Destruktor.
     */
    ~HookeJeevesDiscreteIteration(void);

// OPERATORS

// OPERATIONS

// ACCESS

    virtual vector<IterationDataIdType> ClassIds() const;

    static IterationDataIdType          ClassId();

// INQUIRY

protected:
private:
};

// INLINE METHODS
//

// EXTERNAL REFERENCES
//

#endif  // _HookeJeevesDiscreteIteration_h
