#include <precomp.h>

#include "HookeJeevesOptimalIteration.h"  // class implemented


/////////////////////////////// PUBLIC ///////////////////////////////////////

//============================= LIFECYCLE ====================================

HookeJeevesOptimalIteration::HookeJeevesOptimalIteration()
	: HookeJeevesIteration()
{
}// HookeJeevesOptimalIteration

HookeJeevesOptimalIteration::HookeJeevesOptimalIteration(
        const ColumnVector& startingPoint)
    : HookeJeevesIteration(startingPoint)
{
}// HookeJeevesOptimalIteration

HookeJeevesOptimalIteration::~HookeJeevesOptimalIteration()
{
}// ~HookeJeevesOptimalIteration

//============================= OPERATORS ====================================

//============================= OPERATIONS ===================================

void
HookeJeevesOptimalIteration::AddTrialPoint(const ColumnVector& point)
{
    HookeJeevesIteration::AddTrialPoint(point, true);
}// AddTrialPoint

//============================= ACCESS     ===================================

/* virtual */ vector<IterationData::IterationDataIdType>
HookeJeevesOptimalIteration::ClassIds() const
{
    // Bierzemy identyfikatory od bezporedniego rodzica
    vector<IterationDataIdType> base_ids(HookeJeevesIteration::ClassIds());

    base_ids.insert(base_ids.begin(), HookeJeevesOptimalIteration::ClassId());

    return base_ids;
}// ClassIds

/* static */ IterationData::IterationDataIdType
HookeJeevesOptimalIteration::ClassId()
{
    static IterationDataIdType class_id = GenerateId();

    return class_id;
}// ClassId

//============================= INQUIRY    ===================================

/////////////////////////////// PROTECTED  ///////////////////////////////////

/////////////////////////////// PRIVATE    ///////////////////////////////////
