/** Dane pojedynczej iteracji pierwszego wariantu metody Powella.
 *
 * @see PowellIteration, PowellVariant1, Result
 */

#ifndef _PowellVariant1Iteration_h
#define _PowellVariant1Iteration_h

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//

// LOCAL INCLUDES
//
#include "PowellIteration.h"

// FORWARD REFERENCES
//


class PowellVariant1Iteration
    : public PowellIteration
{
public:
// LIFECYCLE

    /** Konstruktor domylny.
     */
    PowellVariant1Iteration(void);

    /** Konstruktor.
     *
     * @param staringPoint Punkt wyjcia dla tej iteracji.
     * @param D Baza kierunkw, wzdu ktrych wykonywane bd
     * kroki prbne w tej iteracji.
     */
    PowellVariant1Iteration(const ColumnVector& staringPoint,
                            const SquareMatrix& D);

    /** Destruktor.
     */
    ~PowellVariant1Iteration(void);

// OPERATORS

// OPERATIONS

// ACCESS

    virtual vector<IterationDataIdType> ClassIds() const;

    static IterationDataIdType          ClassId();

// INQUIRY

protected:
private:
};

// INLINE METHODS
//

// EXTERNAL REFERENCES
//

#endif  // _PowellVariant1Iteration_h
