#include <precomp.h>

#include "BasicMethodPanel.h"
#include "../methods/Newton.h"

static void* RegisterPanels()
{
    MethodPanelFactory& factory = MethodPanelFactory::GetInstance();

    factory.Register(Newton::ClassId(),
            BasicMethodPanel<Newton>::CreatePanel);

    return NULL;
}

static const void* trigger_dummy = RegisterPanels();

