/**  wxValidator dla wartoci double w polach tekstowych.
 *
 * @see wxValidator
 * @deprecated Naley uywa DoubleParameter oraz stosownego walidatora.
 */

#ifndef _DoubleValidator_h
#define _DoubleValidator_h

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//
#include <wx/validate.h>

// LOCAL INCLUDES
//

// FORWARD REFERENCES
//


class DoubleValidator
    : public wxValidator
{
public:
// LIFECYCLE

    // TODO: pomyle o dopuszczalnym zakresie wartoci
    /** Konstruktor.
     */
    DoubleValidator(double& rValue, const wxString& format = wxT("%.6g"));

    /** Konstruktor kopiujcy.
     *
     * @param from Obiekt, ktrego warto jest kopiowana.
     */
    DoubleValidator(const DoubleValidator& from);

    /** Destruktor.
     */
    ~DoubleValidator(void);


// OPERATORS

// OPERATIONS

    virtual wxObject*       Clone() const;

    virtual bool            TransferToWindow();

    virtual bool            TransferFromWindow();

    virtual bool            Validate(wxWindow* pParent);

    void                    OnChar(wxKeyEvent& event);
// ACCESS
// INQUIRY

protected:
private:
    double&         mrValue; ///< Referencja na zmienn skojarzon z walidatorem
    const wxString  mFormat; ///< Format konwersji liczby do cigu znakw

    static wxChar   mDecimalSeparator;  ///< Znak separatora dziesitnego

    DECLARE_EVENT_TABLE()

    wxChar          DiscoverDecimalSeparator() const;
};

// INLINE METHODS
//

// EXTERNAL REFERENCES
//

#endif  // _DoubleValidator_h
