/** Oglny wxValidator, wywouje jedynie walidatory kontrolek.
 *
 * Prawdopodobnie okae si niepotrzebny.
 *
 * @see wxValidator
 */

#ifndef _GeneralValidator_h
#define _GeneralValidator_h

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//

// LOCAL INCLUDES
//

// FORWARD REFERENCES
//

class GeneralValidator
    : public wxValidator
{
public:
// LIFECYCLE

    /** Konstruktor.
     */
    GeneralValidator();


    /** Konstruktor kopiujcy.
     *
     * @param from Obiekt, ktrego warto jest kopiowana.
     */
    GeneralValidator(const GeneralValidator& from);


    /** Destruktor.
     */
    ~GeneralValidator(void);


// OPERATORS

// OPERATIONS


    /** Tworzy kopi obiektu.
     */
    virtual wxObject*       Clone() const;

    /** Sprawdza poprawno danych w panelu.
     */
    virtual bool            Validate(wxWindow* parent);

    /** Wstawia dane z panelu do kontrolek.
     */
    virtual bool            TransferToWindow();

    /** Ustawia dane problemu wg wprowadzonych do kontrolek panelu.
     */
    virtual bool            TransferFromWindow();

// ACCESS
// INQUIRY

protected:
private:
};

// INLINE METHODS
//

// EXTERNAL REFERENCES
//

#endif  // _GeneralValidator_h
