/** Okienko dialogowe dla ustawie metody w kierunku.
 *
 * Wykorzystywane tylko z paneli ustawie metod optymalizacji wielu zmiennych.
 */

#ifndef _LineSearchSettingsDialog_h
#define _LineSearchSettingsDialog_h

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//

// LOCAL INCLUDES
//
#include "../Method.h"

// FORWARD REFERENCES
//


class LineSearchSettingsDialog
    : public wxDialog
{
public:
// LIFECYCLE

    /** Konstruktor domylny.
     */
    LineSearchSettingsDialog(wxWindow* pParent, wxWindowID id, Method* pMethod);


    /** Destruktor.
     */
    ~LineSearchSettingsDialog(void);


// OPERATORS

// OPERATIONS

    void        OnOk(wxCommandEvent& event);

// ACCESS
// INQUIRY

protected:
private:
    wxButton*   mpOkButton;
    wxButton*   mpCancelButton;

    wxPanel*    mpMethodPanel;

    DECLARE_EVENT_TABLE()
};

// INLINE METHODS
//

// EXTERNAL REFERENCES
//

#endif  // _LineSearchSettingsDialog_h
