#ifndef _LinearProblemPanel_h
#define _LinearProblemPanel_h

#include "../LinearProblem.h"

#include "ConstraintsPanel.h"

class LinearProblemPanel
    : public wxPanel
{
public:

    LinearProblemPanel(
            wxWindow*               parent,
            int                     id,
            LinearProblem*          pProblem,
            const wxPoint&          pos=wxDefaultPosition,
            const wxSize&           size=wxDefaultSize,
            long                    style=0);

private:

    /** Tworzy panel dla problemu.
     */
    static wxPanel*     CreatePanel(ProblemBase* pProblem, wxWindow* pParent);

    static const void*  mpRegistrationDummy;

protected:
    ConstraintsPanel*   mpConstraintsPanel;

};


#endif // _LinearProblemPanel_h
