#include <precomp.h>

#include "PlotControl.h"
#include "PlotLayer.h"  // class implemented


/////////////////////////////// PUBLIC ///////////////////////////////////////

//============================= LIFECYCLE ====================================

PlotLayer::PlotLayer(const PlotControl& targetPlot)
    : mTargetPlot(targetPlot)
{
}// PlotLayer

PlotLayer::PlotLayer(const PlotLayer& from)
    : mTargetPlot(from.mTargetPlot)
{
}// PlotLayer

/* virtual */
PlotLayer::~PlotLayer()
{
}// ~PlotLayer

//============================= OPERATORS ====================================
//============================= OPERATIONS ===================================

/* virtual */ vector<ToolbarTool>
PlotLayer::CreateTools(PlotControl* pPlotControl)
{
    return vector<ToolbarTool>();   // puste
}// CreateTools


//============================= ACCESS     ===================================

Region
PlotLayer::BoundingBox() const
{
    return Region();
}// BoundingBox

//============================= INQUIRY    ===================================
/////////////////////////////// PROTECTED  ///////////////////////////////////


/////////////////////////////// PRIVATE    ///////////////////////////////////
