#include <precomp.h>

#include "PointLineSearchPanel.h"

#include "MethodPanelFactory.h"
#include "../methods/NewtonRaphson.h"

static void* RegisterPanels()
{
    MethodPanelFactory& factory = MethodPanelFactory::GetInstance();

    factory.Register(NewtonRaphson::ClassId(),
            PointLineSearchPanel<NewtonRaphson>::CreatePanel);

    return NULL;
}

static const void* trigger_dummy = RegisterPanels();

