/** Klasa wizualizatora tekstowego dla iteracji metod gradientw sprzonych
 * (Fletchera-Reevesa i Polaka-Ribiery).
 *
 * @see ConjugateGradientsMethodIteration, PolakRibiere
 */

#ifndef _TivConjugateGradientsMethod_h
#define _TivConjugateGradientsMethod_h

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//

// LOCAL INCLUDES
//
#include "../methods/ConjugateGradientsMethodIteration.h"
#include "TextIterationVisualizer.h"

// FORWARD REFERENCES
//


class TivConjugateGradientsMethod
    : public TextIterationVisualizer
{
public:
// LIFECYCLE

    /** Konstruktor domylny.
     */
    TivConjugateGradientsMethod(void);

    /** Destruktor.
     */
    ~TivConjugateGradientsMethod(void);


// OPERATORS
// OPERATIONS

    virtual void        Print(      wxTextCtrl*     pTargetCtrl,
                              const IterationData&  iterationData,
                              const FunctionBase&   function,
                                    bool            highlight) const;

    static std::auto_ptr<const TextIterationVisualizer>    Create();

// ACCESS
// INQUIRY

protected:
private:

    /** Zmienna statyczna, ktrej inicjowanie rejestruje metod Create
     * w fabryce wizualizatorw.
     */
    static void*   mpRegistrationDummy;
};

// INLINE METHODS
//

// EXTERNAL REFERENCES
//

#endif  // _TivConjugateGradientsMethod_h
