/** Klasa wizualizatorw tekstowych iteracji metody podziaiu Fibonacciego.
 *
 * @see IterationData, FibonacciDivision
 */

#ifndef _TivFibonacciDivision_h
#define _TivFibonacciDivision_h

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//

// LOCAL INCLUDES
//
#include "TextIterationVisualizer.h"

// FORWARD REFERENCES
//


class TivFibonacciDivision
    : public TextIterationVisualizer
{

public:

// LIFECYCLE

    /** Konstruktor domylny.
     */
    TivFibonacciDivision(void);

    /** Destruktor.
     */
    ~TivFibonacciDivision(void);


// OPERATORS
// OPERATIONS

    virtual void        Print(      wxTextCtrl*     pTargetCtrl,
                              const IterationData&  iterationData,
                              const FunctionBase&   function,
                                    bool            highlight) const;

    static std::auto_ptr<const TextIterationVisualizer>    Create();

// ACCESS
// INQUIRY

protected:
private:

    /** Zmienna statyczna, ktrej inicjowanie rejestruje metod Create
     * w fabryce wizualizatorw.
     */
    static void*   mpRegistrationDummy;

};

// INLINE METHODS
//

// EXTERNAL REFERENCES
//

#endif  // _TivFibonacciDivision_h
