/** Klasa wizualizatora tekstowego dla iteracji metody pochodnej.
 *
 * @see IterationData, Derivative
 */

#ifndef _TivNewtonRaphson_h
#define _TivNewtonRaphson_h

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//

// LOCAL INCLUDES
//
#include "TextIterationVisualizer.h"

// FORWARD REFERENCES
//


class TivNewtonRaphson
    : public TextIterationVisualizer
{
public:
// LIFECYCLE

    /** Konstruktor domylny.
     */
    TivNewtonRaphson(void);

    /** Destruktor.
     */
    ~TivNewtonRaphson(void);


// OPERATORS
// OPERATIONS

    virtual void        Print(wxTextCtrl*           pTargetCtrl,
                              const IterationData&  iterationData,
                              const FunctionBase&   function,
                              bool                  highlight) const;

    static std::auto_ptr<const TextIterationVisualizer>    Create();

// ACCESS
// INQUIRY

protected:
private:

    /** Zmienna statyczna, ktrej inicjowanie rejestruje metod Create
     * w fabryce wizualizatorw.
     */
    static void*   mpRegistrationDummy;
};

// INLINE METHODS
//

// EXTERNAL REFERENCES
//

#endif  // _TivNewtonRaphson_h
