/** Klasa bazowa dla rnego rodzaju wizualizacji.
 *
 * @see VisualizationFrame
 */

#ifndef _Visualizer_h
#define _Visualizer_h

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//

// LOCAL INCLUDES
//
#include "../Result.h"

// FORWARD REFERENCES
//


class Visualizer
    : public wxPanel
{
public:
// LIFECYCLE

    /** Konstruktor domylny.
     */
    Visualizer(wxWindow*        pParent,
               const Result&    result);


    /** Destruktor.
     */
    ~Visualizer(void);

// OPERATORS


// OPERATIONS
// ACCESS

    /** Zwraca nazw.
     */
    virtual wxString            Name() const = 0;

// INQUIRY

protected:
    const Result&   mResult;    ///< Referencja na prezentowany wynik.
private:
};

// INLINE METHODS
//

// EXTERNAL REFERENCES
//

#endif  // _Visualizer_h
